[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# MinutesBetween

Calculate the number of whole minutes between two DateTime values.

## Declaration

Source position: dateutil.inc line 261

`function MinutesBetween(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Int64;`

## Arguments

`ANow` |  | First moment in time
`AThen` |  | Second moment in time

## Function result

Number of minutes between ANow and AThen

## Description

MinutesBetween returns the number of whole minutes between ANow and AThen. This means the fractional part of a minute (seconds, milliseconds etc.) is dropped.

## See also

YearsBetween |  | Calculate the number of whole years between two DateTime values
MonthsBetween |  | Calculate the number of whole months between two DateTime values
WeeksBetween |  | Calculate the number of whole weeks between two DateTime values
DaysBetween |  | Number of whole days between two DateTime values.
HoursBetween |  | Calculate the number of whole hours between two DateTime values.
SecondsBetween |  | Calculate the number of whole seconds between two DateTime values.
MilliSecondsBetween |  | Calculate the number of whole milliseconds between two DateTime values.

## Example

    Program Example60;

    { This program demonstrates the MinutesBetween function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of minutes between ');
     Write(TimeToStr(AThen),' and ',TimeToStr(ANow));
     Writeln(' : ',MinutesBetween(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Now;
      D2:=D1-(59*OneSecond);
      Test(D1,D2);
      D2:=D1-(61*OneSecond);
      Test(D1,D2);
      D2:=D1-(122*OneSecond);
      Test(D1,D2);
      D2:=D1-(306*OneSecond);
      Test(D1,D2);
      D2:=D1-(5.4*OneMinute);
      Test(D1,D2);
      D2:=D1-(2.5*OneMinute);
      Test(D1,D2);
    End.

Documentation generated on: Feb 26 2014